Bug 24404 - Add missing space on invoices page
Summary: Add missing space on invoices page
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-12 09:31 UTC by Katrin Fischer
Modified: 2020-02-16 20:18 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03, 19.05.08


Attachments
Bug 24404: Add missing space on invoices page / remove . from status (2.31 KB, patch)
2020-01-12 09:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24404: Add missing space on invoices page / remove . from status (2.36 KB, patch)
2020-01-14 13:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24404: Add missing space on invoices page / remove . from status (2.46 KB, patch)
2020-01-17 09:22 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-01-12 09:31:41 UTC
There is a space missing after "Adjustments plus shipping:" showing the amount directly after the text.
Comment 1 Katrin Fischer 2020-01-12 09:36:43 UTC
Created attachment 97263 [details] [review]
Bug 24404: Add missing space on invoices page / remove . from status

On the bottom of the invoices page the summary of adjustments and
shipping shows as:

Adjustments plus shipping:2.00

The patch adds the missing space between text and amount.

To test:
- 'Receive shipment' from a result in your vendor search
- Start a new invoice by entering an invoice number, amount
  for shipping cost and fund.
- Finish receive (you don't need to receive anything)
- You should now be on invoice.pl
- Verify Status is 'Open.' and in 'Invoice details' we
  have the amount with the missing space.
- Apply patch, reload the page.
- Verify the missing space is there and the . is gone.
- Close invoice, no . there either.
Comment 2 Owen Leonard 2020-01-14 13:01:04 UTC
Created attachment 97348 [details] [review]
Bug 24404: Add missing space on invoices page / remove . from status

On the bottom of the invoices page the summary of adjustments and
shipping shows as:

Adjustments plus shipping:2.00

The patch adds the missing space between text and amount.

To test:
- 'Receive shipment' from a result in your vendor search
- Start a new invoice by entering an invoice number, amount
  for shipping cost and fund.
- Finish receive (you don't need to receive anything)
- You should now be on invoice.pl
- Verify Status is 'Open.' and in 'Invoice details' we
  have the amount with the missing space.
- Apply patch, reload the page.
- Verify the missing space is there and the . is gone.
- Close invoice, no . there either.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Marcel de Rooy 2020-01-17 09:22:05 UTC
Created attachment 97478 [details] [review]
Bug 24404: Add missing space on invoices page / remove . from status

On the bottom of the invoices page the summary of adjustments and
shipping shows as:

Adjustments plus shipping:2.00

The patch adds the missing space between text and amount.

To test:
- 'Receive shipment' from a result in your vendor search
- Start a new invoice by entering an invoice number, amount
  for shipping cost and fund.
- Finish receive (you don't need to receive anything)
- You should now be on invoice.pl
- Verify Status is 'Open.' and in 'Invoice details' we
  have the amount with the missing space.
- Apply patch, reload the page.
- Verify the missing space is there and the . is gone.
- Close invoice, no . there either.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Martin Renvoize 2020-01-20 14:05:00 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-01-31 23:47:17 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 6 Lucas Gass 2020-02-13 16:33:14 UTC
backported to 19.05.x for 19.05.08
Comment 7 Hayley Mapley 2020-02-14 01:05:23 UTC
Enhancement will not be backported to 18.11.x series.
Comment 8 Katrin Fischer 2020-02-14 07:11:19 UTC
(In reply to Hayley Mapley from comment #7)
> Enhancement will not be backported to 18.11.x series.

Really just a typo fix (adds one space) - but causes a string change.
Comment 9 Hayley Mapley 2020-02-16 20:11:01 UTC
Yeah, I should have specified because of string change sorry!
It's on my list for review for next minor point release :)
Comment 10 Katrin Fischer 2020-02-16 20:18:22 UTC
Thx Hayley!